apiVersion: v1
kind: Pod
metadata:
  name: oas-http-server
  labels:
    app: oas-server
spec:
  containers:
  - name: http-server
    image: quay.io/fedora/python-311:latest
    command: ["python3", "-m", "http.server", "8080"]
    workingDir: /data
    ports:
    - containerPort: 8080
      name: http
    volumeMounts:
    - name: oas-secret
      mountPath: /data
      readOnly: true
  volumes:
  - name: oas-secret
    secret:
      secretName: test-oas-secret
